DELIMITER $$

insert into instalacao_log(ds_passo) values ('passo 197');
DROP PROCEDURE IF EXISTS pr_recibo_cfe_cliente_os$$

CREATE PROCEDURE `pr_recibo_cfe_cliente_os`(IN _ID_PED INT)
BEGIN
	/*CORPO DO PROCEDIMENTO*/
select	 cl.ds_cnpj_cpf
        ,cl.ds_nome
        ,cl.ds_tipo_documento
into @documento, @nome, @tipo
  from	erpc_ordem_servico  pv
    join	erpc_clientes cl
      on  pv.id_cliente = cl.id
where   pv.id = _ID_PED;

if @documento='' then
	select @nome  as xNome;
elseif @tipo='J' then
	select @documento as CNPJ, @nome as xNome;
elseif @tipo='F' then 
	select @documento as CPF, @nome as xNome;
end if;    

END$$
DELIMITER ;

insert into instalacao_log(ds_passo) values ('passo 198');
-- Stand-in structure for view `vw_erpc_recibo_geraxml_produtos_os`
-- (See below for the actual view)
--
CREATE TABLE `vw_erpc_recibo_geraxml_produtos_os` (
`nItem` int(11)
,`nr_documento` int(11)
,`nr_nota` int(11)
,`nr_pedido` int(11)
,`cProd` varchar(20)
,`cEAN` varchar(13)
,`xProd` varchar(255)
,`NCM` varchar(100)
,`CFOP` varchar(10)
,`EXTIPI` binary(0)
,`uCom` varchar(2)
,`qCom` decimal(10,2)
,`vUnCom` decimal(10,2)
,`vDesc` decimal(10,2)
,`vProd` decimal(21,4)
,`indRegra` varchar(1)
,`vTribFed` decimal(10,6)
,`vTribEst` decimal(10,6)
,`vTribMun` decimal(10,6)
,`ds_chave_ibpt` varchar(10)
);

insert into instalacao_log(ds_passo) values ('passo 199');
-- --------------------------------------------------------
--
-- Structure for view `vw_erpc_recibo_geraxml_produtos_os`
--
DROP TABLE IF EXISTS `vw_erpc_recibo_geraxml_produtos_os`;


CREATE 
      VIEW `vw_erpc_recibo_geraxml_produtos_os`  AS  
      select    `ped`.`id` AS `nItem`
                ,`ven`.`id` AS `nr_documento`
                ,`ven`.`id` AS `nr_nota`
                ,`ven`.`id` AS `nr_pedido`
                ,`pro`.`cd_produto` AS `cProd`
                ,`pro`.`ds_ean` AS `cEAN`
                ,`pro`.`ds_produto` AS `xProd`
                ,`pro`.`ds_ncm` AS `NCM`
                ,510 AS `CFOP`
                ,'UN' AS `uCom`
                ,NULL AS `EXTIPI`
                ,`ped`.`nr_quantidade` AS `qCom`
                ,`ped`.`vl_unitario` AS `vUnCom`
                ,`ped`.`vl_desconto` AS `vDesc`
                ,((`ped`.`vl_unitario` * `ped`.`nr_quantidade`) - `ped`.`vl_desconto`) AS `vProd`
                ,'A' AS `indRegra`
                ,(`ncm`.`nr_perc_nacional` / 100) AS `vTribFed`
                ,(`ncm`.`nr_perc_estadual` / 100) AS `vTribEst`
                ,(`ncm`.`nr_perc_municipal` / 100) AS `vTribMun`
                ,`ncm`.`ds_chave_acesso` AS `ds_chave_ibpt` 
         from ((((((((`erpc_ordem_servico_itens` `ped` join `erpc_ordem_servico` `ven` 
                                    on((`ped`.`id_ordem_servico` = `ven`.`id`))) 
                                                           join `erpc_produtos` `pro` 
                                    on((`ped`.`id_produto` = `pro`.`id`))) 
                                                           join `erpc_origem_produto` `org` 
                                    on((`pro`.`id_origem_produto` = `org`.`id`))) 
                                                           left join `erpc_grupo_tributacao` `grp` 
                                    on((`pro`.`id_grupo_tributacao` = `grp`.`id`))) 
                                                           left join `erpc_excecao_fiscal` `exc` 
                                    on((`grp`.`id` = `exc`.`id_grupo_tributacao`)))) 
                                                           ) 
                                                           left join `erpc_tributos_ncm` `ncm` 
                                    on(((`pro`.`ds_ncm` = `ncm`.`ds_ncm`) 
            and ((case when isnull(`pro`.`ds_ex_ncm`) then '' else `pro`.`ds_ex_ncm` end) = `ncm`.`ds_ex_tipi`)))) ;

-- --------------------------------------------------------
insert into instalacao_log(ds_passo) values ('passo 200');